Package org.codehaus.janino

# Class Java.ConstructorInvocation

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Atom
org.codehaus.janino.Java.ConstructorInvocation

All Implemented Interfaces:
  `Java.BlockStatement`, `Java.Locatable`, `Java.Scope`

Direct Known Subclasses:
  `Java.AlternateConstructorInvocation`, `Java.SuperConstructorInvocation`

Enclosing class:
  `Java`

public abstract static class Java.ConstructorInvocation extends Java.Atom implements Java.BlockStatement
Abstract bas class for `Java.SuperConstructorInvocation` and `Java.AlternateConstructorInvocation`.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.Rvalue[]`
`arguments`
The arguments to pass to the constructor.
`Map<String,Java.LocalVariable>`
`localVariables`
The local variables that are accessible during the compilation of the constructor invocation.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ConstructorInvocation(Location location, Java.Rvalue[] arguments)`

## Method Summary

Modifier and Type
Method
Description
`final <R, EX extends Throwable>
R`
`accept(Visitor.AtomVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.AtomVisitor` for the concrete `Java.Atom` type.
`abstract <R, EX extends Throwable>
R`
`accept(Visitor.ConstructorInvocationVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.ConstructorInvocationVisitor` for the concrete `Java.ConstructorInvocation`.
`Java.LocalVariable`
`findLocalVariable(String name)`
`Java.Scope`
`getEnclosingScope()`
`void`
`setEnclosingScope(Java.Scope enclosingScope)`
Sets the enclosing scope of this `Java.BlockStatement`.

### Methods inherited from class org.codehaus.janino.Java.Atom

`toLvalue, toLvalueOrCompileException, toRvalue, toRvalueOrCompileException, toString, toType, toTypeOrCompileException`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.BlockStatement

`accept`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Field Details

### arguments

public final Java.Rvalue[] arguments
The arguments to pass to the constructor.

### localVariables

@Nullable public Map<String,Java.LocalVariable> localVariables
The local variables that are accessible during the compilation of the constructor invocation.

## Constructor Details

### ConstructorInvocation

protected ConstructorInvocation(Location location, Java.Rvalue[] arguments)

## Method Details

### setEnclosingScope

public void setEnclosingScope(Java.Scope enclosingScope)
Description copied from interface: `Java.BlockStatement`
Sets the enclosing scope of this `Java.BlockStatement`.

Specified by:
  `setEnclosingScope` in interface `Java.BlockStatement`

### getEnclosingScope

public Java.Scope getEnclosingScope()

Specified by:
  `getEnclosingScope` in interface `Java.BlockStatement`
Specified by:
  `getEnclosingScope` in interface `Java.Scope`
Returns:
  The scope that encloses this scope, or `null`

### findLocalVariable

@Nullable public Java.LocalVariable findLocalVariable(String name)

Specified by:
  `findLocalVariable` in interface `Java.BlockStatement`
Returns:
  The local variable with the given name

### accept

@Nullable public final <R, EX extends Throwable> R accept(Visitor.AtomVisitor<R,EX> visitor) throws EX
Description copied from class: `Java.Atom`
Invokes the "`visit...()`" method of `Visitor.AtomVisitor` for the concrete `Java.Atom` type.

Specified by:
  `accept` in class `Java.Atom`
Throws:
  `EX`

### accept

@Nullable public abstract <R, EX extends Throwable> R accept(Visitor.ConstructorInvocationVisitor<R,EX> visitor) throws EX
Invokes the "`visit...()`" method of `Visitor.ConstructorInvocationVisitor` for the concrete `Java.ConstructorInvocation`.

Throws:
  `EX`